# Method: organizations.locations.cloudControls.list

- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.cloudControls/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.cloudControls/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.cloudControls/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.cloudControls/list#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.cloudControls/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.cloudControls/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.cloudControls/list#body.aspect_1)

Lists the cloud controls (both built-in and custom) that are available in a given parent resource. The latest major version of each cloud control is returned. This method supports pagination.

### HTTP request

`GET https://cloudsecuritycompliance.googleapis.com/v1/{parent=organizations/*/locations/*}/cloudControls`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource name, in one of the following formats: - `organizations/{organization}/locations/{location}` - `projects/{project}/locations/{location}`. The only supported location is `global`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of cloud controls to return. The default value is `500`. If you exceed the maximum value of `1000`, then the service uses the maximum value. |
| `pageToken` | `string` Optional. A pagination token that's returned from a previous request to list cloud controls. Provide this token to retrieve the next page of results. When paginating, the parent that you provide to the `https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.cloudControls/list#google.cloud.cloudsecuritycompliance.v1.Config.ListCloudControls` request must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/ListCloudControlsResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `cloudsecuritycompliance.cloudControls.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).